#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Data
%define	pnam	ICal
Summary:	Data::ICal.pm - Generates iCalendar (RFC 2445) calendar files
Name:		perl-Data-ICal
Version:	0.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	81ddac91a2a98ea891ae7750e2e4ca07
URL:		http://search.cpan.org/dist/Data-ICal/
BuildRequires:	perl-Class-ReturnValue
BuildRequires:	perl-Test-LongString
BuildRequires:	perl-Test-NoWarnings
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Warn
BuildRequires:	perl-Text-vFile-asData
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Data::ICal object represents a VCALENDAR object as defined in the
iCalendar protocol (RFC 2445, MIME type "text/calendar"), as
implemented in many popular calendaring programs such as Apple's iCal.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor < /dev/null
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Data/ICal
%{perl_vendorlib}/Data/*.pm
%{_mandir}/man3/*
%changelog
* Thu Mar 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Data-ICal.git;a=log;h=master

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b28d72f
- up to 0.17

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 78d248b
- rel 5

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ed7861
- rel 4

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cfed951
- rel 3

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 08144f6
- rel 2; add BR Test::NoWarnings

* Fri Aug 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 73d4d14
- initial

